package main

import (
	"flag"

	"go.balki.me/tss/app"
	"go.balki.me/tss/db"
	"go.balki.me/tss/log"
	"go.balki.me/tss/schedule"
	"go.balki.me/tss/telegram"
)

func main() {
	logger := log.GetZapLogger()

	db.SetLogger(logger.WithName("db"))
	schedule.SetLogger(logger.WithName("schedule"))
	telegram.SetLogger(logger.WithName("telegram"))
	app.SetLogger(logger.WithName("app"))

	var configPath string
	flag.StringVar(&configPath, "config", "./tss.yml", "path to tss.yml config")
	flag.Parse()
	if err := app.Run(configPath); err != nil {
		panic(err)
	}
}
